Bug 134021 - Crash swlo!SwFrame::CheckPageDescs+0x12d6:
Summary: Crash swlo!SwFrame::CheckPageDescs+0x12d6:
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2 all versions
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-06-16 08:03 UTC by Telesto
Modified: 2020-06-30 15:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (gen) (8.80 KB, text/plain)
2020-06-16 10:33 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-06-16 08:03:28 UTC
Description:
Crash swlo!SwFrame::CheckPageDescs+0x12d6:

Steps to Reproduce:
1. Open attachment 162020 [details] (Bug 134015)
2. Delete the table
3. undo

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 7.1.0.0.alpha0+ (x64)
Build ID: a35c18aeff3b1d8f270db7e094850fb8ba1ab84a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

not in
Versie: 6.1.6.3
Build ID: 5896ab1714085361c45cf540f76f60673dd96a72
CPU-threads: 4; Besturingssysteem: Windows 6.3; UI-render: GL; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Julien Nabet 2020-06-16 10:33:20 UTC
Created attachment 162044 [details]
bt with debug symbols (gen)

On pc Debian x86-64 with master sources updated today, I had an assertion.
It may be related to the crash.
Comment 2 Xisco Faulí 2020-06-17 15:11:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=723728cd358693b8f4bc9d913541aa4479f2bd48

author	Michael Stahl <Michael.Stahl@cib.de>	2018-08-22 17:09:02 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-09-19 10:18:29 +0200
commit	723728cd358693b8f4bc9d913541aa4479f2bd48 (patch)
tree	1ac75a662a46987301ea85d32957eb08f435ffd6
parent	41d8ca9686c7c184f586e99674b443c34bfd4f33 (diff)
sw_redlinehide_2: SwUndoDelete

Bisected with: bibisect-linux64-6.2

Adding Cc: to Michael Stahl
Comment 3 Commit Notification 2020-06-18 16:10:44 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5d836621326c68decaae09f1911d2d036a251b43

tdf#134021 sw_redlinehide: fix crash if document contains only table

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2020-06-18 16:14:24 UTC
fixed on master
Comment 5 Commit Notification 2020-06-18 18:04:59 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/1fdd26297a2b694b0c9e3c1d38d924b118d3bb1c

tdf#134021 sw_redlinehide: fix crash if document contains only table

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-19 23:25:03 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/139bf8208a7f59b742afac0eefb60e2e73316145

tdf#134021 sw_redlinehide: fix crash if document contains only table

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-23 14:35:48 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/b3b25dfd6cb963c496a4f7b8d0746f1dfb1801f4

tdf#134021 sw_redlinehide: fix crash if document contains only table

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-30 15:10:32 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/189086209113a20a36ad43d19e53af6678ff772c

tdf#134021: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.